Create an IVR flow
Creates a new IVR flow for a channel. The flow is saved as a v2 graph.
POST
/v1/channels/{channelID}/ivr-flowsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
channelIDstringrequiredChannel ID
Request body
requiredapplication/jsondescriptionstringFlow description
graphobjectrequiredv2 flow graph
is_call_startbooleanAuto-start on incoming calls
is_outgoing_endbooleanUse for outgoing calls
namestringrequiredFlow name
min length 1
Responses
200OK
created_atstringrequireddescriptionstringrequiredgraphobjectrequiredidstringrequiredis_activebooleanrequiredis_call_startbooleanrequiredis_outgoing_endbooleanrequirednamestringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/channels/string/ivr-flows" \
-H "Content-Type: application/json" \
-d '{
"description": "string",
"graph": {},
"is_call_start": true,
"is_outgoing_end": true,
"name": "string"
}'const response = await fetch("/v1/channels/string/ivr-flows", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"description": "string",
"graph": {},
"is_call_start": true,
"is_outgoing_end": true,
"name": "string"
})
});import requests
response = requests.post(
"/v1/channels/string/ivr-flows",
headers={
"Content-Type": "application/json"
},
json={
"description": "string",
"graph": {},
"is_call_start": True,
"is_outgoing_end": True,
"name": "string"
},
)Response
{
"created_at": "string",
"description": "string",
"graph": {},
"id": "string",
"is_active": true,
"is_call_start": true,
"is_outgoing_end": true,
"name": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}